KateBufBlock Class Reference

`#include <katebuffer.h>`

## Public Types

enum | State { stateSwapped = 0, stateClean = 1, stateDirty = 2 }

## Public Member Functions

| KateBufBlock (KateBuffer *parent, KateBufBlock *prev=0, KateBufBlock *next=0, KateFileLoader *stream=0)
| ~KateBufBlock ()
State | state () const
KateTextLine::Ptr | line (uint i)
void | insertLine (uint i, KateTextLine::Ptr line)
void | removeLine (uint i)
void | markDirty ()
uint | startLine () const
void | setStartLine (uint line)
uint | endLine () const
uint | lines () const
KateBufBlock * | prev ()
KateBufBlock * | next ()

## Friends

class | KateBufBlockList

## Detailed Description

The KateBufBlock class contains an amount of data representing a certain number of lines.

Author
  Waldo Bastian basti.nosp@m.an@k.nosp@m.de.or.nosp@m.g
  Christoph Cullmann cullm.nosp@m.ann@.nosp@m.kde.o.nosp@m.rg

Definition at line 49 of file katebuffer.h.

## Member Enumeration Documentation

enum KateBufBlock::State

state flags

Definition at line 80 of file katebuffer.h.

## Constructor & Destructor Documentation

KateBufBlock::KateBufBlock | ( | KateBuffer * | parent,
|  | KateBufBlock * | prev = `0`,
|  | KateBufBlock * | next = `0`,
|  | KateFileLoader * | stream = `0`
| ) |  |

Create an empty block.

(empty == ONE line)

Parameters

  parent | buffer the block belongs to
  prev | previous bufblock in the list
  next | next bufblock in the list
  stream | stream to load the content from, if any given

Definition at line 1273 of file katebuffer.cpp.

KateBufBlock::~KateBufBlock | ( |  | ) |

destroy this block and take care of freeing all mem

Definition at line 1321 of file katebuffer.cpp.

## Member Function Documentation

uint KateBufBlock::endLine | ( |  | ) | const

inline

first line behind this block

Returns
  line behind block

Definition at line 141 of file katebuffer.h.

void KateBufBlock::insertLine | ( | uint | i,
|  | KateTextLine::Ptr | line
| ) |  |

insert `line` in front of line `i` marks the block dirty

Parameters

  i | where to insert
  line | line pointer

Definition at line 1452 of file katebuffer.cpp.

KateTextLine::Ptr KateBufBlock::line | ( | uint | i | ) |

return line `i` The first line of this block is line 0.

if you modifiy this line, please mark the block as dirty

Parameters

  i | line to return

Returns
  line pointer

Definition at line 1439 of file katebuffer.cpp.

uint KateBufBlock::lines | ( |  | ) | const

inline

lines in this block

Returns
  lines

Definition at line 147 of file katebuffer.h.

void KateBufBlock::markDirty | ( |  | ) |

mark this block as dirty, will invalidate the swap data insert/removeLine will mark the block dirty itself

Definition at line 1476 of file katebuffer.cpp.

KateBufBlock* KateBufBlock::next | ( |  | ) |

inline

next block

Returns
  next block

Definition at line 159 of file katebuffer.h.

KateBufBlock* KateBufBlock::prev | ( |  | ) |

inline

prev block

Returns
  previous block

Definition at line 153 of file katebuffer.h.

void KateBufBlock::removeLine | ( | uint | i | ) |

remove line `i` marks the block dirty

Parameters

  i | line to remove

Definition at line 1464 of file katebuffer.cpp.

void KateBufBlock::setStartLine | ( | uint | line | ) |

inline

update the first line, needed to keep it up to date

Parameters

  line | new startLine

Definition at line 135 of file katebuffer.h.

uint KateBufBlock::startLine | ( |  | ) | const

inline

startLine

Returns
  first line in block

Definition at line 129 of file katebuffer.h.

State KateBufBlock::state | ( |  | ) | const

inline

returns the current state of this block

Returns
  state

Definition at line 91 of file katebuffer.h.

The documentation for this class was generated from the following files:

- katebuffer.h
- katebuffer.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys